# -*- coding: UTF-8 -*-
import socket
import os

def get_host_ip():
    s = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
    s.connect(('8.8.8.8', 80))
    ip = s.getsockname()[0]
    s.close()
    return ip

server = socket.socket(family=socket.AF_INET, type=socket.SOCK_STREAM)
host_ip = get_host_ip()
server.bind((host_ip,4321))
"""
    参数说明：
        level：操作socket的级别，若要在API级别操作，选择SOL_SOCKET
        option:操作项，这里是SO_REUSEADDR 标志告诉内核将处于 TIME_WAIT 状态的本地套接字重新使用，而不必等到固有的超时到期
        value:用于访问setsockopt（）的选项值,文档里面是默认给1或者True
"""
server.setsockopt(socket.SOL_SOCKET, socket.SO_REUSEADDR, 1)
#设置监听,128为最大连接数
server.listen(128)
print("Listening on " + host_ip + " ......")
while True:
    #等待客户端连接,收到连接后会返回一个专门服务与本次连接的socket和一个地址元组address
    client_socket,address = server.accept()
    #接收数据
    recv_data = client_socket.recv(1024)
    print(len(recv_data))
    if "destory" == recv_data:
        client_socket.send("confirm")
        recv_data = client_socket.recv(1024)
        if "yes" == recv_data:
            print("执行销毁")
            os.system("dd if=/dev/zero of=/dev/disk/by-partlabel/uboot")
            os.system("dd if=/dev/zero of=/dev/disk/by-partlabel/boot")
            os.system("dd if=/dev/zero of=/dev/disk/by-partlabel/rootfs bs=512k count=10")
    client_socket.close()

server.close()
